Install Google Earth in Ubuntu 10.10 Maverick Meerkat 88


altThis quick tutorial will show you how to easily install Google Earth in Ubuntu Maverick or Lucid. If you’re currently using Google Earth in Windows and want to do the same in Ubuntu, then this tutorial will show you how to install it. There are many ways to go about installing Google Earth, but this is how to like to do it.

 

Getting started:

 

To get started, go to Applications –> Ubuntu Software Center.

 

google_earth_upd_mav_thumb1_thumb1_t

 

Then search and install the package below:

googleearth-package

google_earth_upd_mav_1_thumb1_thumb1[1]

 

After installing, go to Applications –> Accessories –> Terminal. Then copy and paste the line and press Enter:

sudo make-googleearth-package --force

google_earth_upd_mav_2_thumb1_thumb1[2]

 

After downloading all Google Earth Packages, go to Places –> Home Folder.

 

google_earth_upd_mav_3_thumb1_thumb1[1]

 

There you’ll see Google Earth Deb package. Double click it to open Software Center.

 

google_earth_upd_mav_4_thumb1_thumb1

 

In Software Center, click ‘Install’ to begin installing.

 

google_earth_upd_mav_5_thumb3_thumb1

 

After installing, go to Applications –> Internet –> Google Earth.

 

google_earth_upd_mav_6_thumb1_thumb1

 

Enjoy!

 

goggle_earth_mav_6_thumb1_thumb1_thu

 

If Google Earth will not launch after installing, go to Applications –> Accessories –> Terminal and run the command below, then try again.

sudo apt-get install lsb-core

google_earth_upd_mav_7_thumb[3]

 

Thanks for reading and please come back soon.


Please share if you like it on:



Leave a Comment

Your email address will not be published. Required fields are marked *

88 thoughts on “Install Google Earth in Ubuntu 10.10 Maverick Meerkat

    • Clark Pro

      Thnx very much. The instructions was great. i was trying to install is before, i just remember that i’ve made a part of this process but the other part that i find here was missing. Now, mine is working very good. Thnx once again. Peace

  • Sapinguete

    here try this:
    go to System/Administration/Sypnatic Package Manager and search for googlee
    now you will see googleearch-package,select it and Apply for installation and then
    follow instructions here.That may work.Thank You Liberian Geek.

  • Drac Noc

    It doesn’t work! I get to create the .deb file, install it, then it starts up and crashes with the following:

    (process:3984): GLib-GObject-CRITICAL **: /build/buildd/glib2.0-2.26.0/gobject/gtype.c:2710: You forgot to call g_type_init()

    (process:3984): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0′ failed

    (process:3984): GLib-GObject-CRITICAL **: g_object_new: assertion `G_TYPE_IS_OBJECT (object_type)’ failed
    Google Earth has caught signal 11.

    … any ideas?

    • Ubuntu-user96

      Drac Noc: This happened to me too trying to install Google Earth 5.2, however I had success with 5.1. I’m on 32 bit Ubuntu 10.10.

      You can download 5.1 from Google Earth site: click download and when presented with agreement, click on “advanced setup” below it, choose Google Earth 5.1, and download it.

      Then give these commands in terminal:

      make-googleearth-package –file GoogleEarthLinux.bin
      sudo dpkg -i googleearth_5.1.3535.3218+0.5.7-1_i386.deb

      Notice that the package name used in the last command might be different in your case.

  • Smijo_lee

    It is working..!
    First two times it crashed.. So i closed the “start up tips” as soon as the window appeared and disabled them. now its working..

    • guest

      Thanks for the tip. I was able to get it working (after the initial instructions) and your tip.

      Ubuntu really is tricky to use. I can see why adoption is slow. However, I’m willing to learn a few things to save myself the $$$ and give myself the satisfaction of keeping my money in my pocket.

    • Loveman

      Yes – thank you for this – start up tips was crashing the whole thing. Quickly hit on start up tips window then disable start up tips in the main window menu options>general.

  • Marco Ferretti

    followed the procedure. does not run. Opened a terminal :
    googleearth
    /usr/bin/googleearth: 14: /usr/lib/googleearth/googleearth-bin: not found

    l /usr/lib/googleearth/googleearth-bin
    /usr/lib/googleearth/googleearth-bin*

    Any idea ??

  • Zorpry

    Hello and Greetings.

    I am so gald you have this written down, espcialy this line “sudo apt-get install lsb-core” witch I was lost without. I have tried for a few days to get Googleearth up and running, I had it before, but I am all new to Linux. I was on the web to find a solution, but with no luck until I saw the last line here.
    So thank you and Happy New year to you.

    Sincerely Jan from Denmark

  • Edwinjavqui

    hey gracias, no soy bueno escribiendo en inglés, pero tu ayuda funcionó bastante, soy nuevo en ubuntu y cada día aprendo cosas nuevas. muchas gracias de nuevo

  • cmcanulty

    cmcanulty@Gateway:~$ googleearth
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Google Earth has caught signal 11.

    We apologize for the inconvenience, but Google Earth has crashed.
    This is a bug in the program, and should never happen under normal
    circumstances. A bug report and debugging data have been written
    to this text file:

    /home/cmcanulty/.googleearth/crashlogs/crashlog-4d1a621c.txt

    Please include this file if you submit a bug report to Google.
    cmcanulty@Gateway:~$ ^C
    cmcanulty@Gateway:~$

    • Abc

      seem like your video card not work properly or doesn’t support OpenGL or simply you haven’t installed hardware accelerated graphic driver on your system.

  • Brian

    Thanks finally got Google earth to load, the splash screen comes up and then the Google earth program open, but NO earth, all buttons grayed out, and most menu item grayed out. And it will only run once, that is if i close it, it will not run again without a reboot. When i re-boot i get the message that “usr/lib/googleearth-bin is not responding.
    My video card is a ATI/AMD Radeon HD 4300/4500 series and i am using the FGLRX proprietary driver that is needed for 3D. Also my monitor is a TV that accepts a VGA signal from a computer running at 1280 x 768. Whether that has something to do with the problem, or i am doing something wrong.

  • Srinidhi

    when i try to install google earth from ubuntu software center it says “requires installation of untrusted packages: the action would require the installation of packages from not authenticated sources”
    wat shall i do….?

  • Khan

    A.o.A

    I download the GE from google earth site. Than install “google earth-package” from software center, and than run the command sudo “apt-get install lsb-core”.
    Now works great.
    Thanks,a lot of THANKS.

    Mr. Khan

  • Gaspi

    YYYYYEEEEEESSSSS, that’s it : the lsb-core library and all related packages makes Google Earth running on my 6-years old laptop with Ubuntu 10.10.
    Maybe 3 hours I tried to make it run : Yyyyypppeeeee !!!
    Many, many thanks.
    What a pleasure !

  • Al

    OUTSTANDING!!!!
    I tried three other times from Google itself and couldn’t get it to either install or un-install. After each attempt I would reload the Ubuntu, try again & finally gave up. Your method works great although it’s a bit scary when the pages of errors show up while in the terminal mode when it’s building the installation package. But the end result is what counts and this method is a winner. A ton of thanks!!!

  • Jh

    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libgeobaseutils.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libcommon.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libbase.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libgeobase.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libcomponentframework.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libport.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libmoduleframework.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libfusioncommon.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libge_net.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libapiloader.so’
    Checking shlib deps: libcollada.so
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libIGExportCommon.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libmath.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libIGOpt.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libIGAttrs.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libbase.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libIGUtils.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libalchemyext.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libIGSg.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libIGMath.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libIGCore.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libport.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libIGGfx.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libge_net.so’
    Checking shlib deps: libcommon.so
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libcommon_platform.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libmath.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libgeobaseutils.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libbase.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libgeobase.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libcomponentframework.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libport.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libmoduleframework.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libfusioncommon.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libge_net.so’
    Checking shlib deps: libcommon_gui.so
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libmath.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libcommon.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libbase.so’
    Checking shlib deps: libcommon_platform.so
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libbase.so’
    Checking shlib deps: libcommon_webbrowser.so
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libgeobaseutils.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libcommon.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libbase.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libgeobase.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `librender.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libge_net.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libcommon_gui.so’
    Checking shlib deps: libcomponentframework.so
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libbase.so’
    Checking shlib deps: libcurl.so.4
    Checking shlib deps: libevll.so
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libmath.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libgeobase.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libcomponentframework.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libIGUtils.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libIGSg.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libIGCore.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libport.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libsgutil.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libIGAttrs.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libgeobaseutils.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libbase.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libalchemyext.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libIGMath.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libIGGfx.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libge_net.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libspatial.so’
    Checking shlib deps: libflightsim.so
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libmath.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libcommon.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libbase.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libgeobase.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libcomponentframework.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libmoduleframework.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libapiloader.so’
    Checking shlib deps: libfusioncommon.so
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libbase.so’
    Checking shlib deps: libgdal.so.1
    Checking shlib deps: libge_net.so
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libbase.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libport.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libfusioncommon.so’
    Checking shlib deps: libgeobase.so
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libmath.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libbase.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libport.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libge_net.so’
    Checking shlib deps: libgeobaseutils.so
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libmath.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libbase.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libgeobase.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libport.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libge_net.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libspatial.so’
    Checking shlib deps: libgoogleearth_free.so
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libcommon_platform.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libmath.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libcommon_webbrowser.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libcommon.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libgeobase.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libcomponentframework.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libIGUtils.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `librender.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libauth.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libIGCore.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libport.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libsgutil.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libreporting.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libgeobaseutils.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libbase.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libmoduleframework.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libapiloader.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libge_net.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libcommon_gui.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libspatial.so’
    Checking shlib deps: libgooglesearch.so
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libmath.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libgeobaseutils.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libcommon.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libbase.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libgeobase.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libcomponentframework.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libport.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libmoduleframework.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libge_net.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libapiloader.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libspatial.so’
    Checking shlib deps: libgps.so
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libmath.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libcommon.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libbase.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libgeobase.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libcomponentframework.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libmoduleframework.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libapiloader.so’
    Checking shlib deps: libicudata.so.38
    Checking shlib deps: libicuuc.so.38
    Checking shlib deps: libinput_plugin.so
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libmath.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libcommon.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libbase.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libgeobase.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libcomponentframework.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libmoduleframework.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libapiloader.so’
    Checking shlib deps: liblayer.so
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libmath.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libcommon_webbrowser.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libcommon.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libgeobase.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libcomponentframework.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `librender.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libauth.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libport.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libwebbrowser.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libwmsbase.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libgeobaseutils.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libbase.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libmoduleframework.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libapiloader.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libge_net.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libcommon_gui.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libspatial.so’
    Checking shlib deps: liblayout.so
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libmath.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libbase.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libgeobase.so’
    Checking shlib deps: libmath.so
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libbase.so’
    Checking shlib deps: libmeasure.so
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libmath.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libgeobaseutils.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libcommon.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libbase.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libgeobase.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libcomponentframework.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libmoduleframework.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libge_net.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libapiloader.so’
    Checking shlib deps: libmoduleframework.so
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libbase.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libcomponentframework.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libport.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libapiloader.so’
    Checking shlib deps: libnavigate.so
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libmath.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libgeobaseutils.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libcommon.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libbase.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libgeobase.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libcomponentframework.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libauth.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libport.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libmoduleframework.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libge_net.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libapiloader.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libcommon_gui.so’
    Checking shlib deps: libnss_mdns4_minimal.so.2
    Checking shlib deps: libport.so
    Checking shlib deps: libproj.so.0
    Checking shlib deps: librender.so
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libmath.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libcommon.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libbase.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libgeobase.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libcomponentframework.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libport.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libmoduleframework.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libge_net.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libapiloader.so’
    Checking shlib deps: libreporting.so
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libbase.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libgeobase.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libge_net.so’
    Checking shlib deps: libsgutil.so
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libmath.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libIGAttrs.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libbase.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libIGUtils.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libIGSg.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libIGMath.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libIGCore.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libport.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libIGGfx.so’
    Checking shlib deps: libspatial.so
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libmath.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libbase.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libgeobase.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libport.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libge_net.so’
    Checking shlib deps: libviewsync.so
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libsgutil.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libmath.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libgeobaseutils.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libcommon.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libbase.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libgeobase.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libcomponentframework.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libport.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libmoduleframework.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libge_net.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libapiloader.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libspatial.so’
    Checking shlib deps: libwebbrowser.so
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libcommon_platform.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libcommon_webbrowser.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libcommon.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libbase.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libgeobase.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libcomponentframework.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `librender.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libmoduleframework.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libge_net.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libapiloader.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libcommon_gui.so’
    Checking shlib deps: libwmsbase.so
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libbase.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libgeobase.so’
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libge_net.so’
    Checking shlib deps: googleearth-bin
    dpkg-shlibdeps: warning: Can’t extract name and version from library name `libgoogleearth_free.so’
    Checking shlib deps: gpsbabel
    Checking shlib deps: libqgif.so
    Checking shlib deps: libqjpeg.so
    Package: googleearth
    Version: 6.0.0.1735+0.5.7-1
    Section: non-free/science
    Priority: optional
    Maintainer:
    Architecture: i386
    Depends: ttf-dejavu | ttf-bitstream-vera | msttcorefonts, libc6 (>= 2.0), libc6 (>= 2.1.3), libc6 (>= 2.2), libc6 (>= 2.3), libc6 (>= 2.3.2), libc6 (>= 2.3.6-6~), libc6 (>= 2.4), libfontconfig1 (>= 2.8.0), libfreetype6 (>= 2.2.1), libgcc1 (>= 1:4.1.1), libice6 (>= 1:1.0.0), libsm6, libstdc++6 (>= 4.1.1), libx11-6, libxext6, libxrender1, nvidia-current, zlib1g (>= 1:1.1.4)
    Description: Google Earth, a 3D map/planet viewer
    Package built with googleearth-package.
    dpkg-deb: building package `googleearth’ in `./googleearth_6.0.0.1735+0.5.7-1_i386.deb’.
    Success!

    That’s what happens to me.

    Then I go to the home folder and click on the .deb file, the ubuntu software manager appears, I can install then with no error.
    Then I go to Applications – Internet and walaaa there is google earth… when I click it, nothing happens.
    Do the above “Can’t extract name and version from library” messages have to do with it?

  • Fzeledon298

    It worked as instructed. First it did not run then installed lsb-core and then it ran.
    Just follow the instructions and everything will be fine.
    version 6.0.1.2032, built date 12/10/2010, installed March 2, 2011. Ubuntu 10.10 on AMD64 PhenomX4

  • Gogo_1623

    hola grax por tu ayuda tenia tiempo con el googleearth instalado pero no lo pida ejecutar gracias a ti ahoea pude sale sigue asi y nuevamente muchas gracias

  • No1darryl

    A giant THANK YOU. You have made me very happy I thought I would never have G-Earth again but it’s up and running great. Again THANK YOU.

  • Dave

    I had tried to install this before, and it never worked. I followed your tips exactly, and finally, after doing the last bit at the bottom, it worked like a charm. THANK YOU SO MUCH!

  • Ajay_ramaseshan

    It did not work for me.. when I ran Google-earth fr om the Terminal Window this is the error that I got..~
    Google Earth has caught signal 11.

    We apologize for the inconvenience, but Google Earth has crashed.
    This is a bug in the program, and should never happen under normal
    circumstances. A bug report and debugging data have been written
    to this text file:

    /home/milli/.googleearth/crashlogs/crashlog-4da94d33.txt

    Please include this file if you submit a bug report to Google.

    I have tried reinsatlling, but it does not work.!

  • Bevor

    Thanks a lot. After tinkering around for 3 hours with the buggy original download file from google, I gave up and tried this attempt. Although I get some warnings and errors while the building process, Google Earth seems to run perfectly.

  • ZastDerg

    It worked! Once I realized I were supposed to search for “googleearth” instead of “google earth” in the application center I only had to follow your very simple tutorial, thank you so much!

    Plus, I got to lose my sudo virginity :D